View Issue Details

IDProjectCategoryView StatusLast Update
0026928LazarusIDEpublic2018-10-03 13:30
ReporterSimon AmeisAssigned ToJuha Manninen 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version1.3 (SVN)Product Build46226 
Target VersionFixed in Version 
Summary0026928: "New Component" in packages dialog can't overwrite files
DescriptionThe dialog to create new components of the package explorer can't use existing files.

It should be possible to let the user decide if the file should be replaced with the new created one as it is not possible to delete the file from the package without loosing the already entered information.

As a better solution, an existing file should not be overwritten but the new component should be integrated into this unit.
Steps To Reproduce

  1. Create a new package

  2. add a unit to the package

  3. Click the "Add" button in package explorer

  4. Switch to "New Component" tab

  5. fill in the information, use the file name of the existing unit from step 2

  6. Click "Create New Component"

Tagspackages
Fixed in Revisionr59240
LazTarget-
Widgetset
Attached Files

Activities

Juha Manninen

2018-10-03 13:30

developer   ~0111224

Fixed, please test.
Now overwriting an old file is possible. There was a related bug: the error message about existing file was shown only after the file was overwritten.

Integrating a new component into an existing unit file is not supported.
If you want to implement it, please reopen this report and upload a patch.

Issue History

Date Modified Username Field Change
2014-10-22 22:45 Simon Ameis New Issue
2014-10-22 22:45 Simon Ameis Tag Attached: packages
2015-12-16 13:56 Juha Manninen Assigned To => Juha Manninen
2015-12-16 13:56 Juha Manninen Status new => assigned
2018-10-03 13:30 Juha Manninen Fixed in Revision => r59240
2018-10-03 13:30 Juha Manninen LazTarget => -
2018-10-03 13:30 Juha Manninen Note Added: 0111224
2018-10-03 13:30 Juha Manninen Status assigned => resolved
2018-10-03 13:30 Juha Manninen Resolution open => fixed